Rezepte
ReferenceUsers

/api/v1/users/{id}/avatar

The square to keep, as x,y,size: x and y place its top-left corner as fractions of the upright image's width and height, size is its side as a fraction of the shorter side. Absent keeps the centered square.

PUT/api/v1/users/{id}/avatar
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Path Parameters

id*string

Query Parameters

crop?string

The square to keep, as x,y,size; see the operation description

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/v1/users/string/avatar" \  -F file="string"
{  "$schema": "https://example.com/api/v1/schemas/AvatarResult.json",  "avatarId": "string"}